#!/bin/sh
#
# This is the installation script for the USFS distribution
#

# EDIT THIS    EDIT THIS    EDIT THIS     EDIT THIS
#
# set this to the base directory of the distribution
#
USFS=/d01/usfs_imaging;

echo "starting";
# This variable describes machine name for solaris, but is not
# terribly portable. You can hardcode this value to something like
# Sparc_Solaris_2.6, i386_Solaris_2.6, i386_Linux_2.5.2, etc.
#
ISIP_BINARY=`uname -psr | awk '{ print $3"_"$1"_"$2 }'`;
ISIP_MAKE="make";

PATH="$PATH:$USFS/bin/$ISIP_BINARY/";
export USFS ISIP_BINARY ISIP_MAKE PATH;

# Make sure that the base directory exists, exit on error
#
if (test ! -d "$USFS") then
    echo "FATAL ERROR: base directory does not exist";
    echo "             please edit the INSTALL.sh script";
    exit;
fi

# make sure that a few important directories exist, building them if
# necessary
#
if (test ! -d "$USFS/lib/$ISIP_BINARY/") then
    echo "Creating library directory $USFS/lib/$ISIP_BINARY";
    mkdir "$USFS/lib/$ISIP_BINARY";
fi
if (test ! -d "$USFS/bin/$ISIP_BINARY/") then
    echo "Creating binary directory $USFS/bin/$ISIP_BINARY";
    mkdir "$USFS/bin/$ISIP_BINARY";
fi

# build the class libraries
#
cd $USFS/class;
./Make.sh;

# build the utilities
#
cd $USFS/util;
./Make.sh;

cd $USFS;

# EOF
