// file: $USFS/class/image_analysis/v1.0/imaga_cstr_1.cc
//

// isip include files
//
#include "image_analysis.h"

#include <integral_constants.h>

// method: default constructor
//
// arguments: none
//
// return: none
//
Image_analysis::Image_analysis() {
  
  // set the default debug level
  //
  debug_level_d = ISIP_DEBUG_NONE;
  
  // initialize parameter file data
  //
  param_version_d = (char_1*)NULL;
  param_fname_d = (char_1*)NULL;
  model_version_d = (char_1*)NULL;
  model_fname_d = (char_1*)NULL;

  // initialize algorithm and mode data
  //
  algorithm_d = (int_4)-1;
  mode_d = (int_4)-1;
  
  //===========================================================================
  //
  // initialize the parameters related to histogram processing
  //
  //===========================================================================
  //
  // initialize reference model parameters
  //
  hist_min_d = (float_8)-1;
  hist_max_d = (float_8)-1;
  hist_nbins_d = (int_4)-1;
  hist_redp_d = (int_4)-1;
  hist_grnp_d = (int_4)-1;
  hist_blup_d = (int_4)-1;

  hist_r_npxls_d = (int_4)-1;
  hist_r_nimages_d = (int_4)0;
  hist_r_rpdf_d = (float_8*)NULL;
  hist_r_gpdf_d = (float_8*)NULL;
  hist_r_bpdf_d = (float_8*)NULL;
  hist_r_rcval_d = (float_8*)NULL;
  hist_r_gcval_d = (float_8*)NULL;
  hist_r_bcval_d = (float_8*)NULL;

  hist_rwgt_d = (float_8)0.0;
  hist_gwgt_d = (float_8)0.0;
  hist_bwgt_d = (float_8)0.0;

  hist_ascale_d = (float_8)0.0;
  hist_bscale_d = (float_8)0.0;

  // initialize the parameters related to histogram processing
  //
  hist_t_npxls_d = (int_4)-1;
  hist_r_nimages_d = (int_4)-1;
  hist_t_rpdf_d = (float_8*)NULL;
  hist_t_gpdf_d = (float_8*)NULL;
  hist_t_bpdf_d = (float_8*)NULL;

  //===========================================================================
  //
  // initialize the parameters related to edge detection processing
  //
  //===========================================================================
  
  edge_xmean_d = (int_4)-1;
  edge_ymean_d = (int_4)-1;
  edge_sigma_d = (int_4)-1;
  edge_msize_d = (int_4)-1;
  
  edge_nbins_d = (int_4)-1;
  edge_rfact_d = (float_8)-1;
  edge_r_tlines_d = (int_4)-1;
  edge_r_nimages_d = (int_4)-1;
  edge_ascale_d = (float_8)-1;
  edge_bscale_d = (float_8)-1;
  edge_lwgt_d = (float_8)-1;
  edge_swgt_d = (float_8)-1;
  edge_r_lpdf_d = (float_8*)NULL;
  edge_r_lcval_d = (float_8*)NULL;
  edge_t_lpdf_d = (float_8*)NULL;
  edge_t_lcval_d = (float_8*)NULL;
  edge_t_tlines_d = (int_4)-1;
  edge_t_nimages_d = (int_4)-1;
  edge_perlong_lines_d = (float_8)-1;
  edge_pershrt_lines_d = (float_8)-1;

  // exit gracefully
  //
}



