// file: $USFS/class/image_analysis/v1.0/imaga_get_2.cc
//

// isip include files
//
#include "image_analysis.h"

#include "image_analysis_constants.h"
#include <integral_constants.h>

// method: get_modelfile_cc
//
// arguments:
//  
//  FILE* fp_a: (input) the file pointer of the parameter file
//
// return: a logical_1 value indicating the status
//
// this method reads the model filename from the parameter file
//
logical_1 Image_analysis::get_modelfile_cc(FILE* fp_a) {
  
  // set the modelfile to a null value
  //
  if (model_fname_d != (char_1*)NULL) {
    delete [] model_fname_d;
  }
  model_fname_d = (char_1*)NULL;
  
  // setting the position of the pointer to the desired position
  //
  rewind(fp_a);
  
  // declare local variables
  //
  char_1 buf[ISIP_MAX_STRING_LENGTH];
  
  while (fgets((char*)buf, ISIP_MAX_STRING_LENGTH, fp_a) != (char*)NULL) { 
    
    // checking for a comment line and/or a blank line
    //
    char_1 nonwhitespace[2];
    
    if ((buf[0] != ISIP_POUND) &&
	(sscanf((char*)buf, "%1s", nonwhitespace) > (int)0)) {
      
      // parse the line
      //
      char_1 str_key[ISIP_MAX_STRING_LENGTH];
      char_1 str_val[ISIP_MAX_STRING_LENGTH];
      sscanf((char*)buf, (char*)IMAGA_FORMAT_0 , str_key, str_val);
      
      // checking for the model file keyword
      //
      if (strcmp ((char*)str_key, (char*)IMAGA_MODEL_FILE) == (int)0) {
	model_fname_d = new char_1[strlen((char*)str_val) + 1];
	strcpy((char*)model_fname_d, (char*)str_val);
	return ISIP_TRUE;
      }
    }
  }
  
  // exit gracefully
  //
  return ISIP_FALSE;
}
