// file: $USFS/class/image_analysis/v1.0/imaga_hist_10.cc
//

// isip include files
//
#include "image_analysis.h"

#include "image_analysis_constants.h"
#include <integral_constants.h>

// method: hist_write_cc
//
// arguments:
//
// return: a logical_1 value indicating status
//
// this method normalizes the frequency distributions and writes into the
// output file(model file)
//
logical_1 Image_analysis::write_cc() {
  
  // write into the output model file
  //
  if ((mode_d == IMAGA_MODE_TRAIN) && (algorithm_d == IMAGA_ALG_HISTOGRAM)) {
    if (hist_write_cc() == ISIP_FALSE) {
      error_handler_cc((char_1*)"write_cc",
		       (char_1*)"error while writing the data");
    }
  }
  
  if ((mode_d == IMAGA_MODE_TRAIN) && (algorithm_d == IMAGA_ALG_EDGEDET)) {
    if (edge_model_write_cc() == ISIP_FALSE) {
      error_handler_cc((char_1*)"write_cc",
		       (char_1*)"error while writing the data");
    }
  }
  
  // exit gracefully
  //
  return ISIP_TRUE;
}
