// file: $USFS/util/usfs_eval/v1.0/usfs_eval_constants.h
//
 
// make sure this file is only included once
//
#ifndef __ISIP_USEV_EVAL_CONSTANTS
#define __ISIP_USEV_EVAL_CONSTANTS
 
// isip include files
//
#ifndef __INTEGRAL
#include <integral.h>
#endif

// define the help file
//
#define USEV_HELP_FILE "$USFS/util/usfs_eval/v1.0/usfs_eval.help"

// define command line identifiers
//
#define USEV_OPT_A (char_1*)"-histogram"
#define USEV_OPT_B (char_1*)"-stats"
#define USEV_OPT_C (char_1*)"-correlation"
#define USEV_OPT_D (char_1*)"-summary"
#define USEV_OPT_E (char_1*)"-debug"

// define mode values
//
#define USEV_MODE_HIST (int_4)0
#define USEV_MODE_STATS (int_4)1
#define USEV_MODE_CORR (int_4)2
#define USEV_MODE_SUMMARY (int_4)3

// define default values
//
#define USEV_DEFAULT_MODE USEV_MODE_HIST

// define some histogram constants
//
#define USEV_NUM_BINS (int_4)201
#define USEV_MIN_SBE (float_4)-100.0
#define USEV_MAX_SBE (float_4)100.0

// define error
//
#define USEV_ERROR (float_4)0

// end of file
//
#endif






